# $Revision: 1.19 $, $Date: 2012/01/15 23:18:37 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Email
%define	pnam	MIME
Summary:	Email::MIME - easy MIME message parsing
Summary(pl.UTF-8):	Email::MIME - łatwe analizowanie wiadomości w formacie MIME
Name:		perl-Email-MIME
Version:	1.910
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
#Source0:	http://www.cpan.org/modules/by-module/Email/%{pdir}-%{pnam}-%{version}.tar.gz
Source0:	http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ec7b9c5162f2479b4c3d62d7b64f1b07
URL:		http://search.cpan.org/dist/Email-MIME/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Email-Date-Format
BuildRequires:	perl-Email-MIME-ContentType >= 1.011
BuildRequires:	perl-Email-MIME-Encodings >= 1.3
BuildRequires:	perl-Email-MessageID
BuildRequires:	perl-Email-Simple >= 1:2.004
BuildRequires:	perl-Encode
BuildRequires:	perl-MIME-Types >= 1.13
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Pod-Coverage >= 1.08
%endif
Requires:	perl-Email-Simple >= 1:2.004
Provides:	perl-Email-MIME-Creator
Provides:	perl-Email-MIME-Modifier
Obsoletes:	perl-Email-MIME-Creator
Obsoletes:	perl-Email-MIME-Modifier
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an extension of the Email::Simple module, to handle MIME
encoded messages. It takes a message as a string, splits it up into
its constituent parts, and allows you access to various parts of the
message. Headers are decoded from MIME encoding.

%description -l pl.UTF-8
Jest to rozszerzenie modułu Email::Simple służące do obsługi
wiadomości w formacie MIME. Pobiera ono wiadomość jako łańcuch
tekstowy, dzieli go na części składowe i umożliwia dostęp do
poszczególnych części wiadomości. Nagłówki również są dekodowane.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Email/*.pm
%{perl_vendorlib}/Email/MIME/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-MIME.spec,v $
Revision 1.19  2012/01/15 23:18:37  zbyniu
- up to 1.910

Revision 1.18  2011/02/17 21:27:04  sls
- ver. 1.907
- changed Source0 URL (wtf?)

Revision 1.17  2011/01/22 21:46:15  sparky
- tests BR: perl-Email-Date-Format, perl-Encode, perl-Test-Pod,
  perl-Test-Pod-Coverage

Revision 1.16  2010/10/19 20:37:25  sls
- Provides: perl-Email-MIME-{Creator,Modifier}
- adapterized
- rel. 2

Revision 1.15  2010/10/19 20:28:58  sls
- BR: perl-Email-MessageID --with tests

Revision 1.14  2009/11/20 08:41:24  amateja
- added O: perl-Email-MIME-Creator, perl-Email-MIME-Modifier

Revision 1.13  2009/11/20 08:26:35  amateja
- updated to 1.902

Revision 1.12  2009/06/18 13:08:09  amateja
- updated to 1.863

Revision 1.11  2008/01/09 17:19:58  qboosh
- generic URL

Revision 1.10  2008-01-09 12:47:30  agaran
- up to 1.861, rel 1, builds here

Revision 1.9  2007-02-13 07:16:55  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.7  2006/08/22 14:48:55  glen
- rel 1

Revision 1.6  2006/08/09 21:08:32  agaran
- up to 1.85, rel 0.1, builds here

Revision 1.5  2006/05/25 11:30:30  qboosh
- R: perl-Email-Simple, release 2

Revision 1.4  2004/12/09 21:38:25  qboosh
- pl fix

Revision 1.3  2004/12/09 13:59:11  ankry
- pl

Revision 1.2  2004/12/09 12:02:10  radek
- tweaked BR

Revision 1.1  2004/12/09 11:59:14  radek
- new
